<link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet" />
<div class="container-fluid">
    <div class="card">
        <div class="row product-page-main card-body"
            *ngFor="let i of listitem;let j=index  paginate: { itemsPerPage: 3, currentPage: p }">
            <div class="col-xl-4">
                <section>
                    <ks-carousel [id]="100" [images]="indexs[j].items" [dotsConfig]="{visible: false}"
                        [carouselConfig]="{maxHeight: '600px', keyboardEnable: true}"
                        [previewConfig]="{maxHeight: '125px'}">
                    </ks-carousel>
                </section>
            </div>
            <div class="col-xl-8">
                <div class="product-page-details product-right mb-0">
                    <h2>{{i?.qte}} X {{i?.name}}</h2>
                  <span style="color: black;font-size: 25px;" >Mark : </span>   {{i.marque.libelle}}
                    <ngb-rating [rate]="3" class="rating-size-product"> </ngb-rating>
                    <hr>
                    <div class="product-price digits mt-2">
                        <h3>{{i?.prixpromo*i?.qte}} TND <del style="color: black;">{{i?.prixreel*i?.qte}} TND</del> <span id="okkk">{{i?.remise}}% de réduction</span></h3>    
                    </div>
                    <p>delivery from 4.00 TND (free delivery if over 50.00 TND) to Monastir</p>
                    <h6 class="product-title">Detail</h6>
                    <p class="mb-0">{{i?.detail}}</p>
                



                    <div class="container">
                        <div class="row">
                            <div class="col-md-5">
                                <div class="card ccard radius-t-0 h-100">
                                    <div class="position-tl w-102 border-t-3 brc-primary-tp3 ml-n1px mt-n1px"></div>

                                </div>
                            </div>
                        </div>
                    </div>
                    <ng-template #content let-modal>
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModalLabel">Sheer Straight Kurta</h5>
                            <button type="button" class="close" aria-label="Close"
                                (click)="modal.dismiss('Cross click')">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <!-- <div class="modal-body">
                            <img src="assets/images/size-chart.jpg" alt="" class="img-fluid blur-up lazyloaded">
                        </div> -->
                    </ng-template>

                </div>

            </div>
        </div>
        <pagination-controls (pageChange)="p = $event"></pagination-controls>

        <div class="mouna">
            <div class="product-page-details product-right mb-0">
                <h6 class="product-title"><span id="tim">Time Reminder</span></h6>
                <div class="wrapper">
                    <div class="times">
                        <div class="timer">
                            <p id="demo">
                                <span>
                                    <span class="timer-num">
                                        <p id="days"></p>
                                    </span>
                                    <span class="padding-l">:</span>
                                    <span class="timer-cal">Days</span>
                                </span>
                                <span>
                                    <span class="timer-num">
                                        <p id="hours"></p>
                                    </span>
                                    <span class="padding-l">:</span>
                                    <span class="timer-cal">Hrs</span>
                                </span>
                                <span>
                                    <span class="timer-num">
                                        <p id="mins"></p>
                                    </span>
                                    <span class="padding-l">:</span>
                                    <span class="timer-cal">Min</span>
                                </span>
                                <span>
                                    <span class="timer-num">
                                        <p id="seconds"></p>
                                    </span>
                                    <span class="timer-cal">Sec</span>
                                </span>
                            </p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <button type="button" *ngIf="isadmin() && promo.status=='en cours'" style="width:15% ;margin-left: 75%;"
            (click)="updatestatus(promo)" class="btn btn-success">confirm promo</button>

        <!-- <div class="wrapper">
            <p class="targe-date">
                Countdown to {{ promo.date_fin }}
            </p>
            <div class="description">
                <p>Days</p>
                <p>Hours</p>
                <p>Minutes</p>
                <p>Seconds</p>
            </div>
            <div class="times">
                <p id="days"></p>
                <p id="hours"></p>
                <p id="mins"></p>
                <p id="seconds"></p>
            </div>
        </div> -->
    </div>

</div>